#include <iostream>
#include <math.h>

int main()
{

	int p, q, r, R, L,n=0;
	scanf("%d %d %d %d %d", &p, &q,&r,&L,&R);
	for (int i = L; i <= R; i++) {
		
		
		if (ceil(float(i) / p )+ ceil( float(i) / q) + ceil(float(i) / r )<= i) {
			n++;
		}
	}
	printf("%d", n);


}